Last modified: 2012-04-19 21:24:24 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18629 - Milestone: MediaWiki 1.15 (tracking)
Milestone: MediaWiki 1.15 (tracking)
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.15.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Tim Starling
: tracking
Depends on: 16937 17611 18171 18726 18846 19127 21150
Blocks: tracking
  Show dependency treegraph
 
Reported: 2009-04-30 03:50 UTC by Tim Starling
Modified: 2012-04-19 21:24 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tim Starling 2009-04-30 03:50:15 UTC
Tracking for release-blocking bugs. Please confirm with Tim before adding bugs here.
Comment 1 Andrew Garrett 2009-04-30 04:21:32 UTC
r49068 probably needs backporting, and it needs to be verified that there are no filesorts remaining from this feature.
Comment 2 Splarka 2009-04-30 04:25:55 UTC
More backport candidates: 
r49775 "Fix XSS."
r48993 "Fix regression whereby you were shown an error message after submitting GlobalGroupMembership form"
r48909 and r48910 "Revert r48746 (API userrights). Breaks Special:GlobalGroupMembership by changing overridden methods to static methods, which cannot be overridden. Also reverts r48747, r48814, r48778, r48775"  <- possibly Wikimedia-Centric?
r48836 "Follow up on r48015, fix a bug which caused 'A' and 'D' won't work."

Ask Aaron (possibly mostly useful for Wikimedia?) if these should be backported:
r49730 "fix silly typo"
r49685 "* Fixed unblocking of hidden names (bug 18543) * Added permission check"
r49222 "Automatically hide RC log items on block too"
r49191 "setUsernameBitfields() should skip suppress log items"r48993 "Fix regression whereby you were shown an error message after submitting GlobalGroupMembership form"
r48899 "updated static $this to self:: reference in static fetchURL function "
Note also: r48827 r48828 r48886 r49192 r49210 and other changes to these files between 1.15 branch (48811) and 49775 (which was the latest live merge for this issue...? ug, messy)

Also, immediately after the last scap to 48811, brion had to sync /extensions/Collection/ /extensions/ProofreadPage/ /includes/api/ApiQueryImageInfo.php /includes/specials/SpecialUserrights.php /extensions/FlaggedRevs/FlaggedRevs.hooks.php and several other things (to around r48831 or so) to fix immediate fatal errors. See http://wikitech.wikimedia.org/index.php?oldid=19935#March_25
Comment 3 Andrew Garrett 2009-04-30 04:28:06 UTC
I think the revision I found is most consistent with Wikimedia's current state is about r48825.
Comment 4 Tim Starling 2009-04-30 05:06:15 UTC
The following core files have been updated on Wikimedia, based on svn status -v:

r48813 includes/api/ApiQueryCategories.php
r48819 includes/api/ApiQueryImageInfo.php
r48989 includes/ChangesList.php
r48814 includes/specials/SpecialUserrights.php 
r48992 includes/specials/SpecialRecentchanges.php
r48892 includes/specials/SpecialBlockip.php
r49002 includes/specials/SpecialWatchlist.php
r49789 maintenance/storage/trackBlobs.php

Another 32 files have live patches, some of them merges.
Comment 5 Tim Starling 2009-04-30 07:29:55 UTC
Analysis of the live diff suggests the following merges:

* r48909
* r49212
* r48983
* r48923
* r48993
* r49685
* r50054
* Various patches on top of each other in SpecialBlockip.php
* r49775
* r49051
* r49117
* r48836

Also: 
* r48735 reversed, logged by Domas as a live patch, March 29.
* Various uncommitted patches to remove change tagging
Comment 6 Roan Kattouw 2009-04-30 08:41:30 UTC
(In reply to comment #2)
> More backport candidates: 
> r48909 and r48910 "Revert r48746 (API userrights). Breaks
> Special:GlobalGroupMembership by changing overridden methods to static methods,
> which cannot be overridden. Also reverts r48747, r48814, r48778, r48775"  <-
> possibly Wikimedia-Centric?
This was redone properly in r48970, r48971, r49013, r49014 and r49015
Comment 7 Ilmari Karonen 2009-04-30 09:05:51 UTC
r49682 still isn't live on Wikimedia sites, but should probably be included just because the bug it fixes (from r47927) is kind of embarrassing.
Comment 8 Roan Kattouw 2009-04-30 09:07:52 UTC
Backport candidates for the API:
r50041 "Add xml:space=preserve to XML output to prevent XML parsers from
folding whitespace"
r49999 "Fix list=deletedrevs paging bug"
r49956 "Fix internal error when a non-multivalue array-type parameter is set to
the empty string"
r49954 "generator=backlinks returns invalid continue parameter"
r49151 "Purging images through the API now works"
r48813 "Check for title validity in ApiQueryCategories" (fixes fatal)
Comment 9 Shinjiman 2009-04-30 15:21:20 UTC
Backport candicate for the extensions:
r50073 & r50075 "Fix the encoding error for the DPL extension and update the codebase to 1.7.6"
Comment 10 Shinjiman 2009-04-30 15:23:57 UTC
(In reply to comment #9)
> Backport candicate for the extensions:
> r50073 & r50075 "Fix the encoding error for the DPL extension and update the
> codebase to 1.7.6"

That should be r50074 instead of r50073. :)

So r50074 & r50075 to be wish to be backported because of the encoding error.
Comment 11 Roan Kattouw 2009-05-01 17:17:42 UTC
I've gone ahead and tagged all backported revisions with the '1.15' tag and all revisions mentioned on this bug with the 'backportme' tag on CodeReview:

http://www.mediawiki.org/wiki/Special:Code/MediaWiki/tag/1.15
http://www.mediawiki.org/wiki/Special:Code/MediaWiki/tag/backportme
Comment 12 Roan Kattouw 2009-05-02 15:06:25 UTC
r50132, r50133 and r50134 should fix a bunch of internal API errors related to $wgTitle being null.
Comment 13 Tim Starling 2009-05-04 03:10:03 UTC
I think the extension backports (r48899, r50074, r50075, r50133) can be done by the extension maintainers. There's no need for me to review them since they won't be in the release tarball. 
Comment 14 Karun 2009-05-09 00:22:18 UTC
I am not sure the bug 16937 that this bug depends on, is actually a MediaWiki bug. It appears to be more of a bug with PHP on Windows. I have provided more information in that bug.
Comment 15 Tim Starling 2009-05-09 03:56:28 UTC
(In reply to comment #14)
> I am not sure the bug 16937 that this bug depends on, is actually a MediaWiki
> bug. It appears to be more of a bug with PHP on Windows. I have provided more
> information in that bug.

It's a MediaWiki issue, we need to fix the error message in MediaWiki to explain what the problem is and how to work around it. It might even be possible to make MediaWiki work correctly with the older protocol version.
Comment 16 John Mark Vandenberg 2009-05-09 04:21:13 UTC
Splarka told me to mention bug 18726 here as a possible back port candidate.
Comment 17 Raimond Spekking 2009-05-12 18:30:51 UTC
Backport candidate from the language files:
r50514: Adds Estonian letters to the linktrail.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links